<div class="container">
    <br>
    <br>
<section id="login">
    <div class="bwm-form border border-pdark">
      <div class="row">
        <div class="col-md-5">
        
            <img class="rounded" src="assets/img/background.jpg" alt="" style="width: 525px; height: 370px;">
            <div class="bottom-left" style="position:absolute; top: 8px;color: #fff;text-align: center;">
                <h2 style="width: 530px; color: #d1053f;">PROFILE</h2>
                      <label class="btn" style="background: gray;color:white; border-color: honeydew; width: 350px; ">Username: {{currentUser().username}}</label>
                <br>
                <label class="btn" style="background: gray;color:white; border-color: honeydew; width: 350px; ">Name: {{currentUser().name}}</label>
               <br>
                <label class="btn" style="background: gray;color:white; border-color: honeydew; width: 350px; ">Surname: {{currentUser().surname}}</label>
                <br>
                <label class="btn" style="background: gray;color:white; border-color: honeydew; width: 350px; ">Email: {{currentUser().email}}</label>
                <br>
                <label class="btn" style="background: gray;color:white; border-color: honeydew; width: 350px; ">UserRole: {{currentUser().userRole}}</label>
                
            </div>

       </div> 
        <div class="col-md-6 ml-auto">
         <div class="container">
            <h4 class="page-title" style="text-align: center; font-weight: 15px; ">Change informations</h4>
          <div *ngIf= "notifyMessage" class="alert alert-success">
            {{notifyMessage}}
          </div>
          
          <form [formGroup]= "userForm" (ngSubmit)= "onSubmitUserForm(userForm.value)">
            <div class="form-group">
              <label for="username">USERNAME</label>
              <input type="username"
                     class="form-control"
                     id="username"
                     formControlName="username">
                </div>
            <p class="error-message" *ngIf="username().errors?.required">Username is required</p>
            <p class="error-message" *ngIf="username().errors?.minlength">Username should be at least 5 charachters long.</p>
            <p class="error-message" *ngIf="username().errors?.maxlength">Username should not be longer than 15 charachters.</p>

            <div class="form-group">
              <label for="email">EMAIL</label>
              <input type="email"
                     class="form-control"
                     id="email"
                     formControlName="email">
            </div>
                        <p class="error-message" *ngIf="email().errors?.required">E-mail is required</p>
            <p class="error-message" *ngIf="email().errors?.email">Email is not correct.</p>
    <br>
            <button [disabled]= "  !userForm.valid" type="submit" class="btn btn-secondary" style="background: -webkit-linear-gradient(left, #ACB595, #7B8791);">SUBMIT</button>
          </form>
          <div class="alert alert-danger" *ngIf="errors.length > 0">
            <p *ngFor="let error of errors">
              {{error.details}}
            </p>
          </div>
          
          <div class="alert alert-danger" *ngIf="errors.length > 0">
            <p *ngFor="let error of errors">
              {{error.details}}
            </p>
          </div>
       </div>
      </div>
    </div>
    </div>
  </section>
  <br>
  <br>
</div>

